reviews

Enables you to scrape Reviews from Amazon page using the ScrapeIN service

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint

By making a GET request to the /reviews endpoint of Amazon Customers Feedback API, you can obtain the results of the request in the form of customer reviews for a single product on Amazon. These reviews contain feedback, opinions, ratings, and experiences shared by individuals who have firsthand experience with the product.

This enables you to access and utilize customer reviews to make informed decisions, evaluate products, and gain valuable insights for both personal use and business purposes.

Authentication

API-KEY. Use your API-KEY for authentication.

Output format

html, json, csv

🚧

Required Reviews Parameters

You can make a request with the type parameter set to reviews and specify the product using either the asin and amazon_domain parameters or the url parameter (which contains a link to an Amazon reviews page).

  • If you provide both the amazon_domain and asin parameters, the url parameter will be ignored.
  • If you provide the url parameter, the amazon_domain and asin parameters will be ignored.
  • If you provide both the gtin and amazon_domain parameters, the url parameter will be ignored.

Results: Click "200" at the bottom of the page in the Responses block to see the JSON structure of a successful response. For more details click here.

Support

If you have any questions about authentication or API usage, please contact our support team at [email protected].

📘

Notes on Retrieving Amazon Reviews

If you specify an Audible domain in your request (i.e., amazon_domain=audible.com), the reviews will be retrieved from the Amazon Reviews for the given ASIN, rather than the Audible Reviews.

If you want to retrieve a specific review, you can use a single Review ID that was returned by a previous reviews request. This is useful if you want to check for the presence of a particular review. You can combine this with the amazon_domain parameter.

Query Params
string
enum
Defaults to amazon.com

The Amazon domain to retrieve search results from. Check the Supported Amazon Domains for a complete list of domains supported. Please note that if you provide the asin and amazon_domain parameters, the url parameter will be ignored.

string
Defaults to B08WGFKSMW

The Amazon ASIN (product ID) is used for fetching product details. Remember to provide both the asin and amazon_domain parameters. Please note that if you provide the asin and amazon_domain parameters, the url parameter will be ignored.

string

A GTIN, ISBN, UPC, or EAN number is used for fetching results. ScrapeIN internally converts these codes to an Amazon ASIN and retrieves the corresponding results from Amazon. Remember to use the gtin and amazon_domain parameters together. Please note that if you provide both the gtin and amazon_domain parameters, the url parameter will be ignored. Additionally, if the gtin and asin parameters are both provided, the gtin parameter will be disregarded as the system prioritizes the asin parameter over the gtin parameter to ensure accurate and targeted retrieval of results.

boolean

By default, ScrapeIN caches the GTIN-to-ASIN mapping for 2 months. If you want to perform a fresh GTIN lookup and suspect the existing mapping is outdated, you can use the skip_gtin_cache=true request parameter. Please keep in mind that using skip_gtin_cache=true will deduct 2 Requests from your balance instead of 1.

string

Specifies the URL to be scraped instead of using the asin parameter to perform a search query. The url parameter must be URL-encoded. Please note that if you provide the url parameters, the asin and amazon_domain parameters will be ignored.

string

Used to search for specific terms within the reviews.

string
enum

This parameter specifies the type of reviewer from whom to retrieve reviews. Valid values include: verified_purchase: Include reviews only from Amazon Verified Purchasers; all: Include all reviews, regardless of whether they are from Amazon Verified Purchasers or not.

Allowed:
string
enum

Used to determine the star rating of reviews to retrieve. Valid values include: all_stars: Include reviews with any star rating; five_star: Include reviews with a 5-star rating; four_star: Include reviews with a 4-star rating; three_star: Include reviews with a 3-star rating; two_star: Include reviews with a 2-star rating; one_star: Include reviews with a 1-star rating; all_positive: Include all positive reviews; all_critical: Include critical reviews.

string
enum

This parameter specifies the type of reviewer from whom to retrieve reviews. Valid values are: all_formats: Include reviews of any product format/variant; current_format: Include reviews relating specifically to the current format/variant.

Allowed:
string
enum

Used to to filter the reviews based on a specific media type. Valid values include: all_reviews: Include reviews with text, images, or video; media_reviews_only: Include only reviews containing images or video.

Allowed:
string
enum

Used to determine the order in which reviews are returned. Valid values include: most_helpful: Returns reviews with the most helpful reviews first; most_recent: Returns reviews in date order, with the most recent first.

Allowed:
boolean

Used to determine whether Global Reviews are included in the results. Valid values include: true: Global Reviews are included in the results (default); false: Global Reviews are excluded from the results.

boolean

Used to determine whether you want to include reviews from ASINs other than the requested asin. By default, it is set to true to include such reviews. However, you can set it to false to hide reviews from ASINs other than the requested asin. Please note that if the requested asin is different from the ASIN shown by Amazon and show_different_asins=false, only the product field will be included in the response, while other fields will be removed. If you supply a url instead of the asin in your request, the show_different_asins parameter will be ignored.

string

Used to determine the current page of search results to retrieve.

string

Used to get multiple pages of results in one request, the API will paginate through pages automatically and concatenate the results into one response. See the Pagination for more information.

string

Used to retrieve a single review by its unique ID, which is returned in a previous reviews request. This is useful if you want to specifically check for the presence of a particular review. Make sure to include the amazon_domain parameter in your request as well.

string
enum

Used to determine the location it uses when fetching pages from Amazon. It helps show how a product appears on amazon.com to customers in different countries. It can also identify cross-border shipping information and opportunities. To find the available values for customer_location, refer to the Locations reference. If no customer_location value is provided, the API will automatically make the request from the country corresponding to the Amazon page requested. For example, if the page is from amazon.de, the default customer_location will be "Germany."

string
enum

Used to determine the language in which the API requests the Amazon page to be displayed. This allows you to choose the preferred language for viewing the page. You can refer to the supported Languages list provided by Amazon to see the supported languages.

string
enum

Used to determine the currency in which the API requests the Amazon page to display prices and monetary values. By specifying the currency, you can view the prices on the page in your preferred currency. You can refer to the supported Currencies list for each Amazon domain to see the currency values that are supported.

string
enum
Defaults to json

The format of the returned results can be specified using the output parameter. By default, the results are returned in structured JSON format. You can also choose to receive the raw HTML by setting the parameter to html, or the results in CSV format by setting it to csv.

Allowed:
boolean

Specifies if the response should include raw HTML, which may increase its size. The option to include HTML can be true or false (the default), with the latter being the default.

string
enum

This parameter allows you to control the API's behavior when it encounters a parsing incident. You can choose to have the API skip serving the request entirely when a degraded or major parsing incident is detected (value: all), or only skip the request when a "major" parsing incident is detected (value: major_only). If your system is making unsupervised requests to the API, using skip_on_incident can be a useful way to handle incidents gracefully.

Allowed:
string

Allows you to specify the JSON field names you want to include in the response JSON object as a comma-separated list. You can use dot notation to specify the field names - for instance, setting include_fields=pagination will only include the pagination property in the JSON response. The include_fields parameter is useful when you only want certain fields to be included in the JSON response returned by the API.

string

Used to exclude certain fields from the JSON object returned by the API. You can specify the names of the fields to be excluded in dot notation as a comma-separated list. For example, exclude_fields=pagination would remove the pagination property from the response JSON. If there are particular fields you don't want to be included in the API's JSON response, use exclude_fields.

string
Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json